%define upstream_name    Array-Iterator
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A subclass of Array::Iterator to allow forwards and backwards iteration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This class provides a very simple iterator interface. It is
uni-directional and can only be used once. It provides no means of
reversing or resetting the iterator. It is not recommended to alter the
array during iteration, however no attempt is made to enforce this
(although I will if I can find an efficient means of doing so). This class
only intends to provide a clear and simple means of generic iteration,
nothing more (yet).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# %%__perl Makefile.PL INSTALLDIRS=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor

# %make_build
make

%check
# %make_build test
make test

%install
# %make_install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon May 11 2020 tv <tv> 0.120.0-1.mga8
+ Revision: 1582834
- update to 0.12

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-9.mga8
+ Revision: 1492821
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1265698
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1022573
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 948564
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 788017
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 748594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 683546
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 536788
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.110.0-1.mga4
+ Revision: 485604
- Add a BR + Typo corrections
- New version 0.11

* Thu Aug 22 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 469736
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 363155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 kharec <kharec> 0.80.0-1.mga3
+ Revision: 247955
- update to 0.08

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163161
- Add BR on Test::Exception
- imported package perl-Array-Iterator

